Subject: AppleVolumes files

From: "Marc J. Miller" <[email-masked]>
Date: Tue, 26 Sep 2000 18:46:51 -0700

I'm a little unclear on some of the AppleVolumes options so I was hoping you folks could help (I will add the information to the AppleVolumes.default file in the Sourceforge netatalk project).  I also apologize for the cross-post, but I wanted netatalk-devel to have a copy of this in case someone is working on modifying the effect of some of those options.

crlf = I heard this was one way.  I assume that means if a Unix text file is created, it is translated to a Mac text file during transport.  I also heard that at the moment, Macintosh text files aren't translated to Unix text files when they're written.  Is that correct?  Do I have that backwards?

mswindows = I didn't even realize there was a difference in filename restrictions.  I know Unix file names can be much longer than Macintosh file names,... how does this option change afpd's behavior?

dbpath:path = It's a database, but a database of what?  RandNum encrypted passwords?  File resource data?

password:password = why anyone would store a password in plaintext here is beyond me.  But the comments don't say anything about encryption.  Does anything change if one of the encrypted UAMs are activated?